package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;

import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.MapPegawaiToModulAplikasi;
import com.jasamedika.medifirst2000.vo.MapPegawaiToModulAplikasiVO;

@Component
public class MapPegawaiToModulAplikasiConverter implements BaseVoConverter<MapPegawaiToModulAplikasiVO, MapPegawaiToModulAplikasi> {

	@Override
	public MapPegawaiToModulAplikasi transferVOToModel(MapPegawaiToModulAplikasiVO vo, MapPegawaiToModulAplikasi model) {
		if (null == model)
			model = new MapPegawaiToModulAplikasi();
		
		BeanUtils.copyProperties(vo, model);

		return model;
	}

	@Override
	public List<MapPegawaiToModulAplikasiVO> transferListOfModelToListOfVO(List<MapPegawaiToModulAplikasi> models, List<MapPegawaiToModulAplikasiVO> vos) {

		if (null == vos)
			vos = new ArrayList<MapPegawaiToModulAplikasiVO>();

		if (null == models)
			return vos;

		for (MapPegawaiToModulAplikasi mapPegawaiToModulAplikasi : models) {
			MapPegawaiToModulAplikasiVO vo = new MapPegawaiToModulAplikasiVO();
			vo=transferModelToVO(mapPegawaiToModulAplikasi, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public MapPegawaiToModulAplikasiVO transferModelToVO(MapPegawaiToModulAplikasi model, MapPegawaiToModulAplikasiVO vo) {
		if (null == vo)
			vo = new MapPegawaiToModulAplikasiVO();
		
		BeanUtils.copyProperties(model, vo);

		return vo;
	}

}

